# lugins/osg/LightSource.cpp File Reference

`#include "osg/LightSource"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/LightSource.cpp:

## Functions

bool | LightSource_readLocalData (Object &obj, Input &fr)
bool | LightSource_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_LightSourceProxy (new osg::LightSource,"LightSource","Object Node LightSource Group",&LightSource_readLocalData,&LightSource_writeLocalData)

## Function Documentation

bool LightSource_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool LightSource_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_LightSourceProxy(new osg::LightSource,"LightSource","Object Node LightSource Group",&LightSource_readLocalData,&LightSource_writeLocalData)